<!DOCTYPE html>
<html lang="en-us">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <link href='https://fonts.googleapis.com/css?family=Rubik' rel='stylesheet'>
  <title>{{{ PRODUCT_NAME }}}</title>
  <style>
    #loader {
      position: absolute;
      width: 100%;
      height: 100%;
      background: url('https://medle.mn/interactive/images/bg.png') no-repeat;
      background-size: 100%;
    }
    #logos {
      margin-top: 4vw;
      width: 70vw;
    }
    #loading {
      margin-top: 2vw;
      width: 20vw;
      height: 20vw;
    }
    #wait {
      margin-top: 2vw;
      padding-top: 1.5vw;
      width: 21vw;
      height: 6vw;
      background: url('https://medle.mn/interactive/images/txt_bg.png') no-repeat;
      background-size: 100%;
    }
    #wait p {
      font-family: 'Rubik';
      font-size: 2vw;
      color: white;
    }
    .loader {
      -webkit-animation: 3s ease 0s normal forwards 1 splashFade;
      animation: 3s ease 0s normal forwards 1 splashFade;
    }
    @keyframes splashFade { 0% { opacity: 1; } 83% { opacity: 1; } 100% { opacity: 0; } }
    @-webkit-keyframes splashFade { 0% { opacity: 1; } 83% { opacity: 1; } 100% { opacity: 0; } }
    #video-player {
        display: none;
        position: absolute;
        top: 50%;
        left: 50%;
        width: 75%;
        -webkit-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        z-index:999;
      }
    </style>
  </head>
  <body>
    <div class="webgl-wrapper">
      <div class="aspect"></div>
      <div class="webgl-content">
        <div id="unityContainer" >
          <video id="video-player" playsinline controls></video>
          <div id="loader" align="center">
            <img id="logos" src="https://medle.mn/interactive/images/logos.png"><br>
            <img id="loading" src="https://medle.mn/interactive/images/loading.gif">
            <div id="wait">
              <p>Түр хүлээнэ үү...</p>
            </div>
          </div>
          <canvas id="unity-canvas" style="background: {{{ BACKGROUND_FILENAME ? 'url(\'Build/' + BACKGROUND_FILENAME.replace(/'/g, '%27') + '\') center / cover' : BACKGROUND_COLOR }}}"></canvas>
        </div>
      </div>
    </div>
    <script src="MyLoader.js?v=0.0.8"></script>
    <script>
      createUnityInstance(document.querySelector("#unity-canvas"), {
        dataUrl: "Build/{{{ DATA_FILENAME }}}",
        frameworkUrl: "Build/{{{ FRAMEWORK_FILENAME }}}",
        codeUrl: "Build/{{{ CODE_FILENAME }}}",
#if MEMORY_FILENAME
        memoryUrl: "Build/{{{ MEMORY_FILENAME }}}",
#endif
#if SYMBOLS_FILENAME
        symbolsUrl: "Build/{{{ SYMBOLS_FILENAME }}}",
#endif
        streamingAssetsUrl: "StreamingAssets",
        companyName: "{{{ COMPANY_NAME }}}",
        productName: "{{{ PRODUCT_NAME }}}",
        productVersion: "{{{ PRODUCT_VERSION }}}",
      }).then((unityInstance) => {
        myGameInstance = unityInstance;
      });
    </script>
    <script>
      var isFullscreen = false;
      document.addEventListener('keydown', function(event) {
          if (event.which === 70) {
              if (!isFullscreen) myGameInstance.SetFullscreen(1);
              else myGameInstance.SetFullscreen(0);
              isFullscreen = !isFullscreen;
          }
      });
    </script>
  </body>
</html>
